package com.yd.zalo_sign_in

import com.zing.zalo.zalosdk.oauth.LoginVia
import com.zing.zalo.zalosdk.oauth.ZaloSDK
import io.flutter.plugin.common.MethodChannel
import io.flutter.plugin.common.PluginRegistry

class ZaloSignInDelegate(private var registrar: PluginRegistry.Registrar? = null) {

    private var resultDelegate: ZaloSignInResultDelegate? = null

    init {
        resultDelegate = ZaloSignInResultDelegate(registrar?.activity())
        registrar?.addActivityResultListener(resultDelegate)
    }

    fun logIn(result: MethodChannel.Result) {
        resultDelegate?.setPendingResult(Constant.METHOD_LOG_OUT, result);
        ZaloSDK.Instance.authenticate(registrar?.activity(), LoginVia.APP_OR_WEB, resultDelegate)
    }

}