class ZaloSignInResult {
  bool isSuccess;
  int errorCode;
  String message;
  String oauthCode;

  ZaloSignInResult({
    this.isSuccess,
    this.errorCode,
    this.message,
    this.oauthCode,
  });

  static ZaloSignInResult fromMap(Map<String, dynamic> map) {
    return ZaloSignInResult(
      isSuccess: map['isSuccess'].cast<bool>(),
      errorCode: map['errorCode'].cast<int>(),
      message: map['message'] != null ? map['message'] : null,
      oauthCode:
          map['oauthCode'] != null ? map['oauthCode'].cast<String>() : null,
    );
  }
}
